Core resources
Api requestsAttribute optionsAttributesBooking detailsBooking updatesBookingsCalendar event notesCalendar event updatesCalendar eventsCapacitiesCapacity group dependenciesCapacity groupsContact bookingsContactsCoupon productsCoupon servicesCoupon usesCouponsExternal calendarsInvoicesLine item taxesLine itemsMembersMessage eventsMessage templatesMessagesOrganization calendar logsOrganizationsPaddle plansPaddle subscriptionsPaymentsPermissionsPrice calendar entriesBooking flow
Query availabilitySearch availabilityBookRate and availability configurations. Applied per unit on multiple intervals
iduuidUnique identifier
created_attimestamp with time zoneCreation timestamp
updated_attimestamp with time zoneLast modification timestamp
check_in_days[boolean, boolean, boolean, boolean, boolean, boolean, boolean]List of days of the week on which check-in is possible
checkout_days[boolean, boolean, boolean, boolean, boolean, boolean, boolean]List of days of the week on which check-out is possible
colortextColor to distinguish the configuration from others
ftstsvectorFull text search index
intervalsdatemultirangemax_advanceintegerMaximum number of days between booking and arrival
max_durationintegerMaximum duration of a booking in days
min_advanceintegerMinimum number of days between booking and arrival
min_durationintegerMinimum duration of a booking in days
nameMultiLanguageStringLocalized name
orderintegerratesArray<{ duration: number; occupancy: number; rate: number }>Rate per night on day X of a booking given some occupancy
JSON
{
"id": "00000000-0000-0000-0000-000000000000",
"product_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-03-12T05:24:09.754Z",
"updated_at": "2026-03-12T05:24:09.754Z",
"check_in_days": [
true,
false,
true,
false,
true,
false,
true
],
"checkout_days": [
true,
false,
true,
false,
true,
false,
true
],
"color": "#FACC15",
"intervals": null,
"max_advance": 365,
"max_duration": 30,
"min_advance": 0,
"min_duration": 1,
"name": {
"default": "Hello",
"nl-NL": "Hallo"
},
"order": 0,
"rates": [
{
"duration": 1,
"occupancy": 1,
"rate": 1500
}
]
}idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
check_in_daysFilter<[boolean, boolean, boolean, boolean, boolean, boolean, boolean]>List of days of the week on which check-in is possible
checkout_daysFilter<[boolean, boolean, boolean, boolean, boolean, boolean, boolean]>List of days of the week on which check-out is possible
colorFilter<text>Color to distinguish the configuration from others
ftsFilter<tsvector>Full text search index
intervalsFilter<datemultirange>max_advanceFilter<integer>Maximum number of days between booking and arrival
max_durationFilter<integer>Maximum duration of a booking in days
min_advanceFilter<integer>Minimum number of days between booking and arrival
min_durationFilter<integer>Minimum duration of a booking in days
nameFilter<MultiLanguageString>Localized name
orderFilter<integer>ratesFilter<Array<{ duration: number; occupancy: number; rate: number }>>Rate per night on day X of a booking given some occupancy
200A list of price calendar entries with the selected columns
206Partial Content
GET /price_calendar_entriescurl -X GET "https://api.bookingmood.com/v1/price_calendar_entries?select=*" \
-H "Authorization: Bearer YOUR_API_KEY"Partial<PriceCalendarEntry> | Array<Partial<PriceCalendarEntry>>201The newly created price calendar entries with the selected columns
POST /price_calendar_entriescurl -X POST "https://api.bookingmood.com/v1/price_calendar_entries" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '[]'idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
check_in_daysFilter<[boolean, boolean, boolean, boolean, boolean, boolean, boolean]>List of days of the week on which check-in is possible
checkout_daysFilter<[boolean, boolean, boolean, boolean, boolean, boolean, boolean]>List of days of the week on which check-out is possible
colorFilter<text>Color to distinguish the configuration from others
ftsFilter<tsvector>Full text search index
intervalsFilter<datemultirange>max_advanceFilter<integer>Maximum number of days between booking and arrival
max_durationFilter<integer>Maximum duration of a booking in days
min_advanceFilter<integer>Minimum number of days between booking and arrival
min_durationFilter<integer>Minimum duration of a booking in days
nameFilter<MultiLanguageString>Localized name
orderFilter<integer>ratesFilter<Array<{ duration: number; occupancy: number; rate: number }>>Rate per night on day X of a booking given some occupancy
204The deleted price calendar entries with the selected columns
DELETE /price_calendar_entriescurl -X DELETE "https://api.bookingmood.com/v1/price_calendar_entries" \
-H "Authorization: Bearer YOUR_API_KEY"idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
check_in_daysFilter<[boolean, boolean, boolean, boolean, boolean, boolean, boolean]>List of days of the week on which check-in is possible
checkout_daysFilter<[boolean, boolean, boolean, boolean, boolean, boolean, boolean]>List of days of the week on which check-out is possible
colorFilter<text>Color to distinguish the configuration from others
ftsFilter<tsvector>Full text search index
intervalsFilter<datemultirange>max_advanceFilter<integer>Maximum number of days between booking and arrival
max_durationFilter<integer>Maximum duration of a booking in days
min_advanceFilter<integer>Minimum number of days between booking and arrival
min_durationFilter<integer>Minimum duration of a booking in days
nameFilter<MultiLanguageString>Localized name
orderFilter<integer>ratesFilter<Array<{ duration: number; occupancy: number; rate: number }>>Rate per night on day X of a booking given some occupancy
Partial<PriceCalendarEntry>204The updated price calendar entries with the selected columns
PATCH /price_calendar_entriescurl -X PATCH "https://api.bookingmood.com/v1/price_calendar_entries" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '{}'